Bug 39886 - apr_{name}_inherit_[un]set calls unsupp'd SetHandleInfo on WinCE
apr_{name}_inherit_[un]set calls unsupp'd SetHandleInfo on WinCE
Status: RESOLVED FIXED
Product: APR
Classification: Unclassified
Component: APR
HEAD
Other Windows CE
: P2 normal (vote)
: ---
Assigned To: Apache Portable Runtime bugs mailinglist
: PatchAvailable
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-06-23 16:06 UTC by Curt Arnold
Modified: 2007-05-31 19:33 UTC (History)
0 users



Attachments
WinCE definitions of macros use Win9x comp implementation (2.57 KB, patch)
2006-06-23 16:09 UTC, Curt Arnold
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Curt Arnold 2006-06-23 16:06:46 UTC
include/arch/win32/apr_arch_inherit.h defines macros that are used to implement
apr_mutex_inherit_set and unset and several other similar methods.  The current
header file will call SetHandleInformation in a block for Unicode supporting
versions of Windows and has a fallback for Win 9x.  The patch defines the macros
as just the Win9x compatible implementation for WinCE and leaves the other
definition for all other Windows variants.
Comment 1 Curt Arnold 2006-06-23 16:09:56 UTC
Created attachment 18522 [details]
WinCE definitions of macros use Win9x comp implementation
Comment 2 William A. Rowe Jr. 2006-09-19 19:54:42 UTC
Mass reassign the 44 open apr-bugs to apr bug list
Comment 3 Davi Arnaut 2007-04-29 15:14:58 UTC
It compiles and builds fine on VS C++ 6.0
Comment 4 William A. Rowe Jr. 2007-05-31 19:33:04 UTC
Nice solution, thanks for this patch!  Committed r543363